Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 618789 - [abrt] crash in openoffice.org-calc-1:3.1.1-19.34.fc12: SQLSpecialColumns: Process /usr/lib/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
[abrt] crash in openoffice.org-calc-1:3.1.1-19.34.fc12: SQLSpecialColumns: Pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: unixODBC (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
abrt_hash:17d084a5081b64bc8ef8101ef98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 14:09 EDT by Paul Nittel
Modified: 2013-07-02 23:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.92 KB, text/plain)
2010-07-27 14:09 EDT, Paul Nittel
no flags Details

  None (edit)
Description Paul Nittel 2010-07-27 14:09:05 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/scalc.bin -calc
comment: See above.
component: openoffice.org
crash_function: SQLSpecialColumns
executable: /usr/lib/openoffice.org3/program/scalc.bin
global_uuid: 17d084a5081b64bc8ef8101ef98296a0a4534726
kernel: 2.6.32.16-141.fc12.i686.PAE
package: openoffice.org-calc-1:3.1.1-19.34.fc12
rating: 4
reason: Process /usr/lib/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Created a DSN (odbc pointing to a Teiid virtual database)
2.Used OpenOffice Calc File > New > Database
3.Created a SQL Query
4.Clicked Run Query button and Calc crashed.
Comment 1 Paul Nittel 2010-07-27 14:09:07 EDT
Created attachment 434796 [details]
File: backtrace
Comment 2 Caolan McNamara 2010-07-27 15:58:08 EDT
There's a 50/50 chance this is a unixODBC bug rather than an OOo one seeing as SQLSpecialColumns is an entry point into unixODBC

Is there a step-by-step where I could see this bug for myself ? Teiid virtual database doesn't really mean much to me.
Comment 3 David Tardon 2010-07-28 02:17:19 EDT
And the second SQLSpecialColumns call is in postgresql ODBC driver.
Comment 4 Caolan McNamara 2010-08-04 05:27:00 EDT
Could really do with a means to reproduce this, in the absence of that the exact crash itself takes place below OOo so pushing this down a level
Comment 5 Tom Lane 2010-08-04 10:10:16 EDT
"Teiid virtual database" means zero to me either. Without a much-better-documented reproduction sequence I'm not going to look at this.
Comment 6 Bug Zapper 2010-11-03 07:30:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 08:03:01 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.